httpd-modules-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Issac Goldstand <>
Subject Re: how to get started?
Date Wed, 28 Mar 2007 14:26:26 GMT

William A. Rowe, Jr. wrote:
> Sam Carleton wrote:
>> Ok,
>> I have apxs installed!!!!!!!!!!!!!!
>> I have created a basic project called fancy_image_handler, when I
>> follow the instructions in the comment of the
>> mod_fancy_image_handler.c, here is what I am getting:
>> D:\Temp\fancy_image_handler>apxs -c -i mod_fancy_image_handler.c
>> cl  /nologo /MD /W3 /O2 /D WIN32 /D _WINDOWS /D NDEBUG
>> -I"C:\Apache2.2\include"  /c /Fomod_fancy_image_handler.lo
>> mod_fancy_image_handler.c
> Looks good
>> link kernel32.lib /nologo /subsystem:windows /dll /machine:I386
>> /libpath:"C:/Apache2.2\lib" /
>> mod_fancy_image_handler.lo
> looks bad.  There is no libhttpd.lib, libapr-1.lib or libaprutil-1.lib
> in this link line.  (The libpath correctly provided the path to these
> libraries though.)  Odd, can't say offhand what's up, other than this
> might be an httpd-2.2 specific bug in the apxs.

I've seen this in httpd-2.2 all over on win32 systems.  I thought I'd
mentioned it to you and Randy when I mentioned the manifest embedding...


View raw message